> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Employee Onboarded

> Marks the caller's own roleInOrg as onboarded, failing if already onboarded.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/update-employee-onboarded
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/update-employee-onboarded:
    post:
      operationId: updateEmployeeOnboarded
      summary: Update Employee Onboarded
      description: >-
        Marks the caller's own roleInOrg as onboarded, failing if already
        onboarded.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateEmployeeOnboardedResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateEmployeeOnboardedResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
